---@meta

---@class UWG_StructuralDamage_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SizeBox USizeBox
---@field Icon_SizeBox USizeBox
---@field DamageTypeIcon UImage
---@field DamageBackground UBorder
---@field Blink UWidgetAnimation
---@field NewWidth double
---@field DamageType FGameplayTag
---@field Color FLinearColor
---@field DamageTypeIconTexture UTexture2D
---@field AnimTimer FTimerHandle
---@field Repair boolean
---@field AnimationIncrement double
---@field IconUp boolean
local UWG_StructuralDamage_C = {}

---@param NewWidth double
---@param Repair boolean
---@param Instant boolean
function UWG_StructuralDamage_C:Update(NewWidth, Repair, Instant) end
function UWG_StructuralDamage_C:StartAnim() end
function UWG_StructuralDamage_C:AnimeUpdate() end
---@param IsDesignTime boolean
function UWG_StructuralDamage_C:PreConstruct(IsDesignTime) end
function UWG_StructuralDamage_C:Show() end
---@param NumLoopsToPlay int32
function UWG_StructuralDamage_C:StartBlinking(NumLoopsToPlay) end
function UWG_StructuralDamage_C:Construct() end
---@param EntryPoint int32
function UWG_StructuralDamage_C:ExecuteUbergraph_WG_StructuralDamage(EntryPoint) end


